<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
        <section name="TestWeibo.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false"/>
    </sectionGroup>  
  </configSections>
  <log4net>
    <!--定义输出到文件中-->
    <appender name="RollingLogFileAppender" type="log4net.Appender.RollingFileAppender">
      <!--定义文件存放位置-->
      <file value="log\\"/>
      <appendToFile value="true"/>
      <rollingStyle value="Date"/>
      <datePattern value="yyyyMMdd'.txt'"/>
      <staticLogFileName value="false"/>
      <param name="MaxSizeRollBackups" value="100"/>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="{%level} [%date - %thread] &lt;%logger.%method_%line&gt; : %message%newline"/>
      </layout>
    </appender>
    <appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="{%level} [%date - %thread] &lt;%logger.%method_%line&gt; : %message%newline"/>
      </layout>
    </appender>
    <root>
      <level value="ERROR"/>
      <!--文件形式记录日志-->
      <appender-ref ref="RollingLogFileAppender"/>
      <appender-ref ref="ConsoleAppender"/>
    </root>
  </log4net>  
<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/></startup>
    <userSettings>
        <TestWeibo.Properties.Settings>
            <setting name="AccessToken" serializeAs="String">
                <value />
            </setting>
            <setting name="Passport" serializeAs="String">
                <value />
            </setting>
            <setting name="Password" serializeAs="String">
                <value />
            </setting>
            <setting name="Localhost" serializeAs="String">
                <value />
            </setting>
            <setting name="Usename" serializeAs="String">
                <value />
            </setting>
            <setting name="Pwd" serializeAs="String">
                <value />
            </setting>
            <setting name="Pincodecheck" serializeAs="String">
                <value>1</value>
            </setting>
            <setting name="Max_autopincount_day" serializeAs="String">
                <value>0</value>
            </setting>
            <setting name="autopinflag" serializeAs="String">
                <value>0</value>
            </setting>
            <setting name="weibologin_support" serializeAs="String">
                <value>0</value>
            </setting>
            <setting name="view_guide" serializeAs="String">
                <value>0</value>
            </setting>
        </TestWeibo.Properties.Settings>
    </userSettings>
</configuration>
